Add Conflicts: for compat-wireless stacks

Bug #1068751 reported by Leann Ogasawara on 2012-10-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-backports-modules-3.2.0 (Ubuntu)
Undecided
Unassigned
Precise
Medium
Tim Gardner

Bug Description

== Precise SRU Justification ==

We allow multiple upstream versions of the compat-wireless stack to be packaged and installed via LBM. There currently exists a potential for conflicts when installing multiple versions. Add a Conflicts: statement to the control file to ensure only a single stack can be installed at a given time.

== Impact ===

There should be no risk of regression. This just enforces a single upstream stack can be installed at a given time. I've tested various combinations of installs and confirmed we receive an error if attempting to install multiple stacks. eg:

 conflicting packages - not installing linux-backports-modules-cw-3.6-3.2.0-32-generic

== Fix ==

The following changes since commit 88eeffbd798ca99e9f52eb7a4a81bddf07120fc1:

  UBUNTU: Ubuntu-3.2.0-33.18 (2012-10-17 10:58:42 +0100)

are available in the git repository at:

  git://kernel.ubuntu.com/ogasawara/ubuntu-precise-lbm.git lp1068751

for you to fetch changes up to fe0a5568ff6d2ead596eea658abe2b40f2494c2a:

  UBUNTU: Add Conflicts: for compat-wireless stacks (2012-10-19 10:51:03 -0700)

----------------------------------------------------------------
Leann Ogasawara (1):
      UBUNTU: Add Conflicts: for compat-wireless stacks

 debian/control.d/flavour-control.stub | 4 ++++
 1 file changed, 4 insertions(+)

Changed in linux-backports-modules-3.2.0 (Ubuntu):
status: New → Invalid
Changed in linux-backports-modules-3.2.0 (Ubuntu Precise):
assignee: nobody → Leann Ogasawara (leannogasawara)
importance: Undecided → Medium
status: New → In Progress
description: updated
description: updated
Tim Gardner (timg-tpi) on 2013-04-19
Changed in linux-backports-modules-3.2.0 (Ubuntu Precise):
assignee: Leann Ogasawara (leannogasawara) → Tim Gardner (timg-tpi)

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-backports-modules-3.2.0 - 3.2.0-43.31

---------------
linux-backports-modules-3.2.0 (3.2.0-43.31) precise-proposed; urgency=low

  * Bump ABI for Precise 3.2.0-43.68

linux-backports-modules-3.2.0 (3.2.0-42.30) precise-proposed; urgency=low

  [ Brad Figg ]

  * UBUNTU: Fix the redefinition of kref_get_unless_zero that causes a FTBS

linux-backports-modules-3.2.0 (3.2.0-42.29) precise-proposed; urgency=low

  [ Leann Ogasawara ]

  * Add Conflicts: for compat-wireless stacks
    - LP: #1068751

  [ Tim Gardner ]

  * UBUNTU: Add version specific firmware delivery mechanism
    - LP: #1170739
 -- Steve Conklin <email address hidden> Tue, 14 May 2013 21:47:45 -0500

Changed in linux-backports-modules-3.2.0 (Ubuntu Precise):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers